/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\weapons\stormtrooperbow.cs
Lines of code: 42
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class stormtrooperbow : RepeatingCrossbow
	{
	
		public override int MinTicks { get { return 2; } }
		public override int DamageCap { get { return 5; } }
		public override int EffectHue{ get{return 32; } }		
		public override int EffectID{ get{return 0x1607; } }		
		public override double NoMoveDelay{get {return 0.1;}}		
		
		public override int AosMinDamage{ get{ return 1; } }
		public override int AosMaxDamage{ get{ return 3; } }		

		[Constructable]
		public stormtrooperbow() : base()
		{
		AosElementDamages.Physical=50;
		AosElementDamages.Energy=50;		
		
		Hue=1108;
		Name = "Storm Trooper Repeating Cross Bow";
		Attributes.AttackChance = 10 + Utility.Random(36);
		Attributes.WeaponSpeed = 15 + Utility.Random(46);
		
		HitSound=548;
		MissSound=548;
				
		if(Utility.Random(10)==4)Attributes.WeaponDamage= 5 + Utility.Random(26);		
		else if(Utility.Random(50)==24)Attributes.WeaponDamage= 35 + Utility.Random(26);	
		}
		
		
		

		public stormtrooperbow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}